From 60587d90f3b46c3bee61c132f4baf5963e203799 Mon Sep 17 00:00:00 2001
From: Merlijn Wajer <merlijn@wizzup.org>
Date: Mon, 6 May 2019 02:22:20 +0200
Subject: [PATCH 1/4] arm64: pinephone: update config

---
 boards/kernel-configs/pinephone.config | 14 +++++++++++---
 1 file changed, 11 insertions(+), 3 deletions(-)

diff --git a/boards/kernel-configs/pinephone.config b/boards/kernel-configs/pinephone.config
index e5ab310..44eb957 100644
--- a/boards/kernel-configs/pinephone.config
+++ b/boards/kernel-configs/pinephone.config
@@ -3185,11 +3185,13 @@ CONFIG_MEDIA_DIGITAL_TV_SUPPORT=y
 # CONFIG_MEDIA_CEC_RC is not set
 CONFIG_MEDIA_CONTROLLER=y
 # CONFIG_MEDIA_CONTROLLER_DVB is not set
+CONFIG_MEDIA_CONTROLLER_REQUEST_API=y
 CONFIG_VIDEO_DEV=m
 CONFIG_VIDEO_V4L2_SUBDEV_API=y
 CONFIG_VIDEO_V4L2=m
 # CONFIG_VIDEO_ADV_DEBUG is not set
 # CONFIG_VIDEO_FIXED_MINOR_RANGES is not set
+CONFIG_V4L2_MEM2MEM_DEV=m
 CONFIG_V4L2_FWNODE=m
 CONFIG_DVB_CORE=m
 # CONFIG_DVB_MMAP is not set
@@ -4858,11 +4860,12 @@ CONFIG_DMADEVICES=y
 #
 CONFIG_ASYNC_TX_ENABLE_CHANNEL_SWITCH=y
 CONFIG_DMA_ENGINE=y
+CONFIG_DMA_VIRTUAL_CHANNELS=y
 CONFIG_DMA_OF=y
 # CONFIG_ALTERA_MSGDMA is not set
 # CONFIG_AMBA_PL08X is not set
 CONFIG_BCM_SBA_RAID=m
-# CONFIG_DMA_SUN6I is not set
+CONFIG_DMA_SUN6I=y
 # CONFIG_DW_AXI_DMAC is not set
 # CONFIG_FSL_EDMA is not set
 # CONFIG_FSL_QDMA is not set
@@ -5001,7 +5004,13 @@ CONFIG_RTL8723BS=m
 # Speakup console speech
 #
 # CONFIG_SPEAKUP is not set
-# CONFIG_STAGING_MEDIA is not set
+CONFIG_STAGING_MEDIA=y
+CONFIG_VIDEO_SUNXI=y
+CONFIG_VIDEO_SUNXI_CEDRUS=m
+
+#
+# soc_camera sensor drivers
+#
 
 #
 # Android
@@ -6405,4 +6414,3 @@ CONFIG_STRICT_DEVMEM=y
 # CONFIG_DEBUG_ALIGN_RODATA is not set
 # CONFIG_ARM64_RELOC_TEST is not set
 # CONFIG_CORESIGHT is not set
-
-- 
2.19.2

